Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider.asymmetric.ec
Class KeyAgreement.DHC

    java.lang.Object
      javax.crypto.KeyAgreementSpi
          org.bouncycastle.jce.provider.asymmetric.ec.KeyAgreement
              org.bouncycastle.jce.provider.asymmetric.ec.KeyAgreement.DHC

Enclosing class:
  KeyAgreement

    public static class KeyAgreement.DHC

extends KeyAgreement

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.asymmetric.ec.KeyAgreement
`KeyAgreement.DH, KeyAgreement.DHC, KeyAgreement.DHwithSHA1KDF, KeyAgreement.MQV, KeyAgreement.MQVwithSHA1KDF`

Constructor Summary
`KeyAgreement.DHC()`

Method Summary

Methods inherited from class org.bouncycastle.jce.provider.asymmetric.ec.KeyAgreement
`engineDoPhase, engineGenerateSecret, engineGenerateSecret, engineGenerateSecret, engineInit, engineInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyAgreement.DHC

    public KeyAgreement.DHC()

Bouncy Castle Cryptography Library 1.45